Subject: the range of the voltage.

From: Stephen Peters <[email-masked]>
Date: Thu, 03 Jul 1997 14:56:08 -0700

Hello Vincent:

    The reason the IBIS specification requires the explicit ranges 
is due to differences in the way simulators extrapolate data beyond the
last data point given.  Some simulators will simply repeat the last
data point in a table, others will do a linear interpolation based
on the last two data points.  For example, suppose a ground clamp
table was given only as: 

 V     I
+0     0
-0.2  0.000
-0.4  0.002
-0.6  0.020
-0.8  0.040     

Some simulators may assume that at -1.0 volts the current
is 0.040 (repeating the last point), others may do a linear
extrapolation.  To avoid this problem the IBIS spec explicitly
requires that data be given over the worst possible ranges
and input or output may see. (This worst possible range is
based on transmission line reflections.)  Of course, if your
doing actual measurments or SPICE simulations you can always
lessen the range, then enter the full range of data in the model
itself by doing the extrapolation yourself. 

  As to your second question, the IBIS parser does not (to 
my knowledge) check the tables ranges.  I think a very 
legitimate argument can be made that it should.

          Regards,
          Stephen Peters
          Intel Corp.

=============================================================
Om Thu, 03 Jul 1997 15:59:29 -0500 Vincent Chang wrote:

Let's try again.

The first question is Why should we
do simulation  from  -Vcc  to 2Vcc   if we  have diodes  for
clamping the output to Vcc and Gnd ?  Is it not true that on
an actual  PCB, even if the  voltage at any  pin tends to go
higher  than Vcc  (due to L-C  effects   etc.), the clamping
diodes will allow it to go only till Vcc+Vf, where Vf is the
forward voltage  of  the  clamping diode?  Basically  that's
what the diodes are for.

The second question is,
Can I use the voltage range from -Vcc to 1/2Vcc for Gnd Clamp?
Is QC check going to fail on that voltage range?

-- 
Best Regards,

			Vincent Chang

=======================================================================
*  Vincent Chang                         TI MSG ID: hui8              *
*  Design Automation                     mailto:[email-masked]    *
*  Memory Products Design                http://www.memh.ti.com/~mcad *
*  Texas Instruments Inc. MS 657         Phone: (281) 274-3167        *
*  PO Box 1443, Houston, TX 77251        Fax:   (281) 274-2067        *
=======================================================================